Subject: Re: filexfer, create umask

From: Darren Moffat <[email-masked]>
Date: Fri, 12 Jan 2001 11:58:36 -0800 (PST)

>None of these is a critical issue, but overall I think it would be better
>to not have the server do umask processing.  Instead, I would add a note
>that if the client does not support unix-like file modes, it should not
>send any, and if the server does not receive modes for open/create, it
>should default to 644.

All okay except I don't think the draft should mention permissions the
server should use if no permissions are received.  I think it should be
upto the implmentations what they do and I would imagine either the umask
of the process providing the service is used or it would be a config file
type options to have it specify what to do.

I don't think 644 is an acceptable thing to say we should do.  The only
think I think should be presumed is that there be sufficient permissions
for the user who created the file to read it again assuming it hasn't
been changed by some process outside of the protocol.

--
Darren J Moffat